## ros-humble-tf2 0.25.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake)
find_package(console_bridge_vendor REQUIRED) # Provides console_bridge 0.4.0 on platforms without it.
find_package(console_bridge REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosidl_runtime_cpp REQUIRED)

# export user definitions

#CPP Libraries
add_library(tf2 SHARED src/cache.cpp src/buffer_core.cpp src/static_cache.cpp src/time.cpp)
target_include_directories(tf2 PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(tf2 PUBLIC
  ${geometry_msgs_TARGETS})
target_link_libraries(tf2 PRIVATE
  ${builtin_interfaces_TARGETS}
  console_bridge::console_bridge
  rcutils::rcutils)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(tf2 PRIVATE "TF2_BUILDING_DLL")

install(TARGETS tf2 EXPORT export_tf2
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

# Tests
if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(ament_cmake_xmllint REQUIRED)

  # Should not lint external code
  set(
    _linter_excludes
    include/tf2/LinearMath/Matrix3x3.h
    include/tf2/LinearMath/MinMax.h
    include/tf2/LinearMath/QuadWord.h
    include/tf2/LinearMath/Quaternion.h
    include/tf2/LinearMath/Scalar.h
    include/tf2/LinearMath/Transform.h
    include/tf2/LinearMath/Vector3.h
  )

  ament_copyright(EXCLUDE ${_linter_excludes})
  ament_cppcheck(
    EXCLUDE ${_linter_excludes}
    LANGUAGE c++
  )
  ament_cpplint(EXCLUDE ${_linter_excludes})
  ament_lint_cmake()
  ament_uncrustify(
    EXCLUDE ${_linter_excludes}
    LANGUAGE c++
  )
  ament_xmllint()

  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(test_cache_unittest test/cache_unittest.cpp)
  if(TARGET test_cache_unittest)
    target_link_libraries(test_cache_unittest tf2)
  endif()

  ament_add_gtest(test_static_cache_unittest test/static_cache_test.cpp)
  if(TARGET test_static_cache_unittest)
    target_link_libraries(test_static_cache_unittest tf2)
  endif()

  ament_add_gtest(test_simple_tf2_core test/simple_tf2_core.cpp)
  if(TARGET test_simple_tf2_core)
    target_link_libraries(test_simple_tf2_core
      ${builtin_interfaces_TARGETS}
      tf2
      # Used, but not linked to test tf2's exports:
      #   ${geometry_msgs_TARGETS}
    )
  endif()

  ament_add_gtest(test_time test/test_time.cpp)
  if(TARGET test_time)
    target_link_libraries(test_time tf2)
  endif()
endif()

ament_export_dependencies(console_bridge geometry_msgs rcutils rosidl_runtime_cpp)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(tf2)

# Export modern CMake targets
ament_export_targets(export_tf2)

ament_package()

=== debian/changelog ===
ros-humble-tf2 (0.25.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2 (0.25.2-1jammy) jammy; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>) (#562 <https://github.com/ros2/geometry2/issues/562>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2 (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2 (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2 (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2 (0.23.0-1jammy) jammy; urgency=high

  * forward declare fromMsg to avoid missing symbols in downstream libraries (#485 <https://github.com/ros2/geometry2/issues/485>)
  * Contributors: João C. Monteiro

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2 (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2 (0.21.0-1jammy) jammy; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2 (0.20.0-1jammy) jammy; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2 (0.19.0-1jammy) jammy; urgency=high

  * Remove unnecessary test dependencies.
  * Remove some references to the ROS 1 wiki.
  * Add rosidl_runtime_cpp as build_depend and build_export_depend.
  * Minor cleanups in CMakeLists.txt.
  * Remove include directory that doesn't exist.
  * Remove completely unnecessary target_link_libraries.
  * Remove unused speed_test from tf2.
  * Suppress clang warnings about enumerator attributes. (#463 <https://github.com/ros2/geometry2/issues/463>)
  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Fixed errors due to missing header link. (#432 <https://github.com/ros2/geometry2/issues/432>)
  * Contributors: Chris Lalancette, Shivam Pandey

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2 (0.18.0-1jammy) jammy; urgency=high

  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Speedup covariance unwrapping (#399 <https://github.com/ros2/geometry2/issues/399>)
  * Contributors: Chris Lalancette, Dima Dorezyuk

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2 (0.17.1-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#394 <https://github.com/ros2/geometry2/issues/394>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2 (0.17.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2 (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2 (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2 (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2 (0.14.1-1jammy) jammy; urgency=high

  * Active usual compiler warnings in tf2 (#322 <https://github.com/ros2/geometry2/issues/322>)
  * Cleanups in buffer_core.cpp. (#301 <https://github.com/ros2/geometry2/issues/301>)
  * Add PoseWithCovarianceStamped transform support (#312 <https://github.com/ros2/geometry2/issues/312>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Joshua Whitley

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-humble-tf2 (0.14.0-1jammy) jammy; urgency=high

  * Fix a TOCTTOU race in tf2. (#307 <https://github.com/ros2/geometry2/issues/307>)
  * Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>)
  * Add common linters to tf2. (#258 <https://github.com/ros2/geometry2/issues/258>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Martin Ganeff

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-humble-tf2 (0.13.4-1jammy) jammy; urgency=high

  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-tf2 (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-tf2 (0.13.2-1jammy) jammy; urgency=high


=== debian/control ===
Source: ros-humble-tf2
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/tf2
Standards-Version: 3.9.2

Package: ros-humble-tf2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
Description: tf2 is the second generation of the transform library, which lets the user keep track of multiple coordinate frames over time.
 tf2 maintains the relationship between coordinate frames in a tree structure buffered in time, and lets the user transform points, vectors, etc between any two coordinate frames at any desired point in time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tf2 0.25.7

=== debian/changelog ===
ros-humble-tf2 (0.25.7-1bookworm) bookworm; urgency=high

  * [TimeCache] Improve performance for insertData() and pruneList() (backport #680 <https://github.com/ros2/geometry2/issues/680>) (#693 <https://github.com/ros2/geometry2/issues/693>)
    * Nacho/minor fixes tf2 cache (#658 <https://github.com/ros2/geometry2/issues/658>)
    * Remove unused parameter
    * Make use of API function to improve redability
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    return storage\_.front().stamp\_;
    }
    ```
    And std::list<T>::front() is(gcclib):
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Same argument as 321bd225afb5c
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    // empty list case
    // ...
    return storage\_.front().stamp\_;
    }
    ```
    and std::list<T>::front():
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Improve readbility by relying on STL functions
    By now reading to this block I can tell that we are preventing to
    inserting a new element in the list, that has a timestamp that is
    actually older than the max_storage_time_ we allow for
    * Remove hardcoded algorithmg for STL one
    The intent of the code is now more clear, instead of relying on raw
    loops, we "find if" there is any element in the list that has a stamp
    older than the incoming one. With this we find the position in the list
    where we should insert the current timestamp: storage_it
    * Remove to better express what this pointer is represetngin
    * Replace raw loop for STL algorithm
    Remove if any element is older thant the max_storage_time_ allowed,
    relative to the latest(sooner) time seems clear npw
    * [TimeCache] Improve performance for insertData() and pruneList() (#680 <https://github.com/ros2/geometry2/issues/680>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    * Don't break ABI
    ---------
    Co-authored-by: Ignacio Vizzo <mailto:ignacio@dexory.com>
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add cache_benchmark (backport #679 <https://github.com/ros2/geometry2/issues/679>) (#691 <https://github.com/ros2/geometry2/issues/691>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [cache_unittest] Add direct implementation testing on ordering, pruning (backport #678 <https://github.com/ros2/geometry2/issues/678>) (#688 <https://github.com/ros2/geometry2/issues/688>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tf2 (0.25.6-1bookworm) bookworm; urgency=high

  * Fix constantly increasing memory in std::list (#648 <https://github.com/ros2/geometry2/issues/648>)
  * Contributors: Ignacio Vizzo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-tf2 (0.25.5-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tf2 (0.25.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-tf2 (0.25.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-tf2 (0.25.2-1bookworm) bookworm; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>) (#562 <https://github.com/ros2/geometry2/issues/562>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-tf2 (0.25.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-tf2 (0.25.0-1bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-tf2 (0.24.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-tf2 (0.23.0-1bookworm) bookworm; urgency=high

  * forward declare fromMsg to avoid missing symbols in downstream libraries (#485 <https://github.com/ros2/geometry2/issues/485>)
  * Contributors: João C. Monteiro

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-tf2 (0.22.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tf2 (0.21.0-1bookworm) bookworm; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tf2 (0.20.0-1bookworm) bookworm; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Lalancette <clalancette@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-google-benchmark <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
 Homepage: http://www.ros.org/wiki/tf2
 Standards-Version: 3.9.2

## ros-humble-tf2 0.25.8

=== debian/changelog ===
ros-humble-tf2 (0.25.8-1bookworm) bookworm; urgency=high

  * Enable Twist interpolator (backport #646 <https://github.com/ros2/geometry2/issues/646>) (#684 <https://github.com/ros2/geometry2/issues/684>)
    * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
    (cherry picked from commit 62322b8fa74c90d144dfe32294f6670bf6cfe786)
    # Conflicts:
    #     tf2/include/tf2/buffer_core.h
    #     tf2_ros/test/test_buffer.cpp
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tf2//opt/ros/humble/opt/tf2/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
